﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="head1" runat="server">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebTabSet Studio Sample</title>
    <script src="./includes/loader.js" type="text/javascript"></script>
    <script src="./includes/webtabset.js" type="text/javascript"></script>
    <link href="./includes/webtabset.css" rel="stylesheet" type="text/css" />
    <script src="./samples.js" type="text/javascript"></script>
    <link href="./samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csVControl {width:515px;}
        .csVDocument {margin-left:515px;}
        .csYourContent {font-family:Arial,helvetica,sans-serif;font-size:12px;height:200px;padding:20px;width:449px;}
    </style>
</head>
<body class="csBody" onload="InitializePage('<%= webTabSetId %>', '<%= webTabSetAboutInfoId %>', '<%= webTabSetFullPathEscaped %>');">
    <form id="form1" action="./Default.aspx" runat="server">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebTabSet Studio</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select artist:<br />
                        <div id="<%= webTabSetId %>"></div>
                        <div class="cwtsContent">
                            <div class="csYourContent">your content here...</div>
                        </div>
					</div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <asp:Button id="Button1" Text="Submit" runat="server" />
                        &nbsp;&nbsp;<a href="./Default.aspx">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">ASP.NET Sample:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use <b>WebTabSet Studio</b> in an ASP.NET environment, without using the WebTabSet web control.<br />
                        <br />
                        To use the WebTabSet Studio compiled code in your web application, you will need to implement these steps:<br />
                        <br />
                        1) Include the WebTabSet loader library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;loader.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        2) Include the WebTabSet core library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;webtabset.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        3) Include the WebTabSet style sheet on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">link</span> <span style="color:#ff0000">href</span><span style="color:#0000ff">=&quot;webtabset.css&quot;</span> <span style="color:#ff0000">rel</span><span style="color:#0000ff">=&quot;stylesheet&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/css&quot;</span><span style="color:#0000ff"> /&gt;</span>
                        </div>
                        <br />
                        4) Add a DIV tag containing an identifier for your WebTabSet instance on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">div</span> <span style="color:#ff0000">id</span><span style="color:#0000ff">=&quot;WebTabSet1&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">div</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        5) Call the WebTabSet Studio client-side initialize method, passing in the identifier from above:<br />
                        <br />
                        <div class="csCode">
                            WebTabSetInitialize(<span style="color:#ff0000">&quot;WebTabSet1&quot;</span>);
                        </div>
                        <br />
                        The control settings and item data configured in WebTabSet Studio will be available in the following variables, and will be use to configure your control instance:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">var</span> WebTabSetSettings = {...};<br />
                            <span style="color:#0000ff">var</span> WebTabSetData = {...};
                        </div>
                        <br />
                        In this sample, the WebTabSet children are populated from the item objects created in WebTabSet Studio.
                        Alternatively, if no item objects are created in the Studio application, then all the other WebTabSet data retrieval methods are available for dynamically loading the children.<br />
                        <br />
                        This sample also demonstrates how to extract the selected path in the WebTabSet control on the server, and then re-insert it into the control settings to preserve this value between postbacks.<br />
                        <br />
                        In this sample the WebTabSet is allowing you to select an artist, organized by painters and musicians.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><%= (webTabSetFullPathEncoded == "") ? "No path selected." : webTabSetFullPathEncoded %></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent" id="<%= webTabSetAboutInfoId %>"></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DevelopmentPlatforms<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ASPNET
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
